import java.util.EventObject;
import java.awt.*;
import java.awt.event.*;

public class DnDDragEvent extends EventObject {
    int dragAction;
    Point dragPoint;
    boolean accepted;

    public DnDDragEvent(Component source, int action, Point point) {
        super(source);
        dragAction = action;
        dragPoint = point;
    }

    public Point getLocation() {
        return dragPoint;
    }

    public int getDragAction() {
        return dragAction;
    }

    public boolean isAccepted() {
        return accepted;
    }

    public void acceptDrop() {
        accepted = true;
    }

    public void rejectDrop() {
        accepted = false;
    }
}
