/*
 * @(#)JSVoyager.java	0.1 99/01/06
 * 
 * Copyright (c) 1999 IS Corp. All Rights Reserved.
 * @author Sergey Izvozchikov
 * 
 */

import java.awt.*;
import com.sun.java.swing.*;
import com.sun.java.swing.border.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class JSVoyager {

    public static void main( String[] args ) {
      System.out.println("Starting Voyager ...");
      try {
          UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
//          UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      }
      catch ( UnsupportedLookAndFeelException e ) {
          System.out.println ("Error loading Look & Feel. \nProgram Terminated");
          System.exit(0);
      }
      catch ( IllegalAccessException e ) {
          System.out.println ("Look & Feel could not be accessed. \nProgram Terminated");
          System.exit(0);
      }
      catch ( ClassNotFoundException e ) {
          System.out.println ("Look & Feel could not found. \nProgram Terminated");
          System.exit(0);
      }   
      catch ( InstantiationException e ) {
          System.out.println ("Look & Feel could not be instantiated. \nProgram Terminated");
          System.exit(0);
      }
      catch ( Exception e ) {
          System.out.println ("Unexpected error. \nProgram Terminated");
          e.printStackTrace();
          System.exit(0);
	}
      JFrame frame = new JSVoyagerFrame();
      frame.addWindowListener(new WindowAdapter() {
          public void windowClosing(WindowEvent e) {System.exit(0);}
      });
      JOptionPane.setRootFrame(frame);
      frame.setVisible(true);
    }
}
