import java.awt.*;
import java.awt.event.*;
import com.sun.java.swing.tree.DefaultMutableTreeNode;
import java.io.IOException;
import java.io.File;

public class JSVoyagerTreeNode extends DefaultMutableTreeNode {
    File file;
    boolean childrenLoaded;

    public JSVoyagerTreeNode(String name, File file) {
        super(name);
        this.file = file;
        childrenLoaded = false;
    }

    public void setChildrenLoaded(boolean loaded) {
        childrenLoaded = loaded;
    }

    public boolean isChildrenLoaded() {
        return childrenLoaded;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public void removeChildren() {
/*
        if (isLeaf()) {
          file = null;
        }
        else {
*/
          for (int i = 0; i < getChildCount(); i++) {
             JSVoyagerTreeNode node = (JSVoyagerTreeNode) getChildAt(i);
             node.removeChildren();
             remove(i);
          }
          removeAllChildren();
//        }
    }
} 

